# Query payment status recovery

Send a request to find out the current status of your payment after it has been authorized using the events action link. 
 
 
 Important: 

 Only use this for recovery purposes for example when your authorization request has timed out or you are unable to locate a payment through our Payments Queries API. If the query returns results, you can manage the payment using the next action links returned in the response of your GET request.

Endpoint: GET /payments/events
Version: 7
Security: BasicAuth

## Header parameters:

  - `Content-Type` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

## Response 200 fields (application/vnd.worldpay.payments-v7+json):

  - `lastEvent` (string, required)
    Enum: "Authorized", "Refused", "Sent for Settlement", "Sent for Refund", "Send for Cancellation", "Refund failed", "Settlement failed", "Settled", "Refunded", "Error", "Expired"

## Response 400 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)
    Further error details

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 404 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 415 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)


